Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::EnvironmentVariable_var Class Reference

`#include <ImplRepoC.h>`

Collaboration diagram for ImplementationRepository::EnvironmentVariable_var:

[legend]
List of all members.

## Public Methods
| EnvironmentVariable_var (void)
| EnvironmentVariable_var (EnvironmentVariable *)
| EnvironmentVariable_var (const EnvironmentVariable_var &)
| ~EnvironmentVariable_var (void)
EnvironmentVariable_var & | operator= (EnvironmentVariable *)
EnvironmentVariable_var & | operator= (const EnvironmentVariable_var &)
EnvironmentVariable * | operator-> (void)
const EnvironmentVariable * | operator-> (void) const
| operator const EnvironmentVariable & () const
| operator EnvironmentVariable & ()
| operator EnvironmentVariable & () const
| operator EnvironmentVariable *& ()
const EnvironmentVariable & | in (void) const
EnvironmentVariable & | inout (void)
EnvironmentVariable *& | out (void)
EnvironmentVariable * | _retn (void)
EnvironmentVariable * | ptr (void) const
## Private Attributes
EnvironmentVariable * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE ImplementationRepository::EnvironmentVariable_var::EnvironmentVariable_var | ( | void |  | ) |

ACE_INLINE ImplementationRepository::EnvironmentVariable_var::EnvironmentVariable_var | ( | EnvironmentVariable * | p | ) |

ImplementationRepository::EnvironmentVariable_var::EnvironmentVariable_var | ( | const EnvironmentVariable_var & |  | ) |

ACE_INLINE ImplementationRepository::EnvironmentVariable_var::~EnvironmentVariable_var | ( | void |  | ) |

## Member Function Documentation

EnvironmentVariable* ImplementationRepository::EnvironmentVariable_var::_retn | ( | void |  | ) |

const EnvironmentVariable& ImplementationRepository::EnvironmentVariable_var::in | ( | void |  | ) | const

EnvironmentVariable& ImplementationRepository::EnvironmentVariable_var::inout | ( | void |  | ) |

ImplementationRepository::EnvironmentVariable_var::operator const EnvironmentVariable & | ( |  | ) | const

ImplementationRepository::EnvironmentVariable_var::operator EnvironmentVariable & | ( |  | ) | const

ImplementationRepository::EnvironmentVariable_var::operator EnvironmentVariable & | ( |  | ) |

ImplementationRepository::EnvironmentVariable_var::operator EnvironmentVariable *& | ( |  | ) |

ACE_INLINE const ::ImplementationRepository::EnvironmentVariable * ImplementationRepository::EnvironmentVariable_var::operator-> | ( | void |  | ) | const

ACE_INLINE::ImplementationRepository::EnvironmentVariable * ImplementationRepository::EnvironmentVariable_var::operator-> | ( | void |  | ) |

EnvironmentVariable_var& ImplementationRepository::EnvironmentVariable_var::operator= | ( | const EnvironmentVariable_var & |  | ) |

ACE_INLINE ImplementationRepository::EnvironmentVariable_var & ImplementationRepository::EnvironmentVariable_var::operator= | ( | EnvironmentVariable * | p | ) |

EnvironmentVariable*& ImplementationRepository::EnvironmentVariable_var::out | ( | void |  | ) |

EnvironmentVariable* ImplementationRepository::EnvironmentVariable_var::ptr | ( | void |  | ) | const

## Member Data Documentation

EnvironmentVariable* ImplementationRepository::EnvironmentVariable_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- ImplRepoC.h
- ImplRepoC.i